## ProVerB

[ProVerB](http://slebok.github.io/proverb/), short for **Program Verification Book**, is a project aimed at explaining program verification tools to practicing software developers, and at helping them to find they way around the available tools, clearly and briefly summarising the main purpose of the tool, its current status, relations to other tools, etc.

Notable parts of the artefact:
- manually created dataset of semi-structured descriptions of tools and formats in the domain of program verification
- user-friendly browsable and interlinked web frontend version of ProVerB

File and folder structure:
- `README.md`
    - this file
- `frontend`
    - copy of https://github.com/Sophietje/Verification-Tool-Overview
    - at commit a26aa76bd08df0d6ce6098e35371e0a6a3f11af0 of 29 June 2022
- `backend`
    - generated web frontend of ProVerB

Prerequisites:
- Python 3
  - libraries: `latex2mathml`, `unittest`, `pathlib`, `collections`, `datetime`
- Make
  - any variant that can deal with forward slashes in paths
  
On a clean Ubuntu installation (tested with 21.10 and 22.04), follow these steps to install the dependencies:
- In the terminal, go to the location where the Makefile is located (this should correspond to where the artefact was unzipped)
- type `sudo apt install make`
- type `sudo apt install python3-pip`
- type `python3 -m pip install latex2mathml`

Instructions:
- to browse ProVerB
    - open `frontend/index.html` in the browser
    - the content should be identical with http://slebok.github.io/proverb at the time of submission
- to browse the dataset of tool and format descriptions
    - explore all `*.md` files in folders `backend/Tools` and `backend/Formats`
- to regenerate the web frontend
    - type `make clean` (this will delete all previously generated HTML files)
    - type `make` (this will generate files from scratch)
    - open `frontend/index.html` in the browser
    - the content should be identical with http://slebok.github.io/proverb at the time of submission

Notes:
- the web frontend generation is run twice in order to get the colour of links right
    - dead links to tools that are not described in ProVerB yet, are in red
