## Tools and Algorithms for the Construction and Analysis of Systems: 22nd TACAS@ETAPS, 2016
---
### Tool Papers I
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_17) Parametric Runtime Verification of C Programs. 299-315
	[Zhe Chen](https://dblp.org/pid/06/4240.html), [Zhemin Wang](https://dblp.org/pid/178/3993.html), [Yunlong Zhu](https://dblp.org/pid/64/5326.html), [Hongwei Xi](https://dblp.org/pid/x/HongweiXi.html), [Zhibin Yang](https://dblp.org/pid/56/1234.html):
	✅ Presents [MOVEC](../Tools/MOVEC.md)
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_18) Coqoon - An IDE for Interactive Proof Development in Coq. 316-331
	[Alexander John Faithfull](https://dblp.org/pid/178/4079.html), [Jesper Bengtson](https://dblp.org/pid/65/1245.html), [Enrico Tassi](https://dblp.org/pid/35/4153.html), [Carst Tankink](https://dblp.org/pid/82/1008.html):
	✅ IDE for [Coq](../Tools/Provers/Coq.md)
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_19) Multi-core Symbolic Bisimulation Minimisation. 332-348
	[Tom van Dijk](https://dblp.org/pid/126/8210.html), [Jaco van de Pol](https://dblp.org/pid/p/JvdPol.html):
	✅ Extends [Sylvan](../Tools/Sylvan.md)
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_20) Advances in Symbolic Probabilistic Model Checking with PRISM. 349-366
	[Joachim Klein](https://dblp.org/pid/k/JoachimKlein1.html), [Christel Baier](https://dblp.org/pid/b/ChristelBaier.html), [Philipp Chrszon](https://dblp.org/pid/177/2504.html), [Marcus Daum](https://dblp.org/pid/118/9187.html), [Clemens Dubslaff](https://dblp.org/pid/28/11061.html), [Sascha Klüppelholz](https://dblp.org/pid/50/2079.html), [Steffen Märcker](https://dblp.org/pid/69/10395.html), [David Müller](https://dblp.org/pid/139/8389-1.html):
	✅ Extends [[PRISM]]
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_21) PRISM-PSY: Precise GPU-Accelerated Parameter Synthesis for Stochastic Systems. 367-384
	[Milan Ceska](https://dblp.org/pid/213/3728.html), [Petr Pilar](https://dblp.org/pid/178/4032.html), [Nicola Paoletti](https://dblp.org/pid/15/10263.html), [Lubos Brim](https://dblp.org/pid/92/3060.html), [Marta Z. Kwiatkowska](https://dblp.org/pid/k/MartaZKwiatkowska.html):
	✅ Presents [PRISM-PSY](../Tools/PRISM-PSY.md)
### Tool Papers II
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_22) T2: Temporal Property Verification. 387-393
	[Marc Brockschmidt](https://dblp.org/pid/80/8292.html), [Byron Cook](https://dblp.org/pid/36/113.html), [Samin Ishtiaq](https://dblp.org/pid/49/5100.html), [Heidy Khlaaf](https://dblp.org/pid/156/3577.html), [Nir Piterman](https://dblp.org/pid/p/NPiterman.html):
	✅ Presents [T2](../Tools/T2.md)
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_23) RTD-Finder: A Tool for Compositional Verification of Real-Time Component-Based Systems. 394-406
	[Souha Ben Rayana](https://dblp.org/pid/143/2673.html), [Marius Bozga](https://dblp.org/pid/05/178.html), [Saddek Bensalem](https://dblp.org/pid/01/5624.html), [Jacques Combaz](https://dblp.org/pid/39/3748.html):
	✅ Presents [RTD-Finder](../Tools/RTD-Finder.md)
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_24) TcT: Tyrolean Complexity Tool. 407-423
	[Martin Avanzini](https://dblp.org/pid/63/5617.html), [Georg Moser](https://dblp.org/pid/32/2607.html), [Michael Schaper](https://dblp.org/pid/90/11267.html):
	✅ Presents [TcT](../Tools/TcT.md)
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_25) Integrated Environment for Diagnosing Verification Errors. 424-441
	[Maria Christakis](https://dblp.org/pid/05/7730.html), [K. Rustan M. Leino](https://dblp.org/pid/l/KRMLeino.html), [Peter Müller](https://dblp.org/pid/m/PMuller1.html), [Valentin Wüstholz](https://dblp.org/pid/28/9798.html):
	✅ Expands [Dafny](../Tools/Dafny.md)
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_26) JDart: A Dynamic Symbolic Analysis Framework. 442-459
	[Kasper Søe Luckow](https://dblp.org/pid/13/11526.html), [Marko Dimjasevic](https://dblp.org/pid/158/1033.html), [Dimitra Giannakopoulou](https://dblp.org/pid/39/117.html), [Falk Howar](https://dblp.org/pid/12/8669.html), [Malte Isberner](https://dblp.org/pid/54/1436.html), [Temesghen Kahsai](https://dblp.org/pid/02/6790.html), [Zvonimir Rakamaric](https://dblp.org/pid/31/4458.html), [Vishwanath Raman](https://dblp.org/pid/64/3364.html):
	✅ Presents [JDart](../Tools/JDart.md)
### Tool Demos
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_31) The xSAP Safety Analysis Platform. 533-539
	[Benjamin Bittner](https://dblp.org/pid/117/4994.html), [Marco Bozzano](https://dblp.org/pid/66/3003.html), [Roberto Cavada](https://dblp.org/pid/96/4147.html), [Alessandro Cimatti](https://dblp.org/pid/13/5961.html), [Marco Gario](https://dblp.org/pid/138/5577.html), [Alberto Griggio](https://dblp.org/pid/19/3686.html), [Cristian Mattarei](https://dblp.org/pid/67/7880.html), [Andrea Micheli](https://dblp.org/pid/84/7880.html), [Gianni Zampedri](https://dblp.org/pid/162/0229.html):
	✅ Presents [xSAP](../Tools/xSAP.md)
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_32) FACT: A Probabilistic Model Checker for Formal Verification with Confidence Intervals. 540-546
	[Radu Calinescu](https://dblp.org/pid/15/2194.html), [Kenneth Johnson](https://dblp.org/pid/03/5135.html), [Colin Paterson](https://dblp.org/pid/27/8933.html):
	✅ Presents [FACT](../Tools/FACT.md)
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_33) PrDK: Protocol Programming with Automata. 547-552
	[Sung-Shik T. Q. Jongmans](https://dblp.org/pid/91/8340.html), [Farhad Arbab](https://dblp.org/pid/25/3518.html):
	✅ Presents [PrDK](../Tools/Not-verifiers/PrDK.md)
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_34) DLC: Compiling a Concurrent System Formal Specification to a Distributed Implementation. 553-559
	[Hugues Evrard](https://dblp.org/pid/130/3643.html):
	✅ Presents [DLC](../Tools/DLC.md)
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_35) PRISM-Games 2.0: A Tool for Multi-objective Strategy Synthesis for Stochastic Games. 560-566
	[Marta Kwiatkowska](https://dblp.org/pid/k/MartaZKwiatkowska.html), [David Parker](https://dblp.org/pid/33/3095.html), [Clemens Wiltsche](https://dblp.org/pid/120/7602.html):
	✅ Extends [PRISM-games](../Tools/Checkers/PRISM-games.md)
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_36) Cerberus: Automated Synthesis of Enforcement Mechanisms for Security-Sensitive Business Processes. 567-572
	[Luca Compagna](https://dblp.org/pid/c/LucaCompagna.html), [Daniel Ricardo dos Santos](https://dblp.org/pid/201/0224.html), [Serena Elisa Ponta](https://dblp.org/pid/74/7424.html), [Silvio Ranise](https://dblp.org/pid/r/SilvioRanise.html):
	✅ Presents [Cerberus](../Tools/Cerberus.md)
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_37) Developing and Debugging Proof Strategies by Tinkering. 573-579
	[Yuhui Lin](https://dblp.org/pid/24/11140.html), [Pierre Le Bras](https://dblp.org/pid/178/3984.html), [Gudmund Grov](https://dblp.org/pid/43/4457.html):
	✅ Extends [Tinker](../Tools/Tinker.md)
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_38) v2c - A Verilog to C Translator. 580-586
	[Rajdeep Mukherjee](https://dblp.org/pid/124/3803.html), [Michael Tautschnig](https://dblp.org/pid/18/1323.html), [Daniel Kroening](https://dblp.org/pid/k/DanielKroening.html):
	✅ Presents [v2c](../Tools/v2c.md)
### Competition on Software Verification: SV-COMP
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_55) Reliable and Reproducible Competition Results with BenchExec and Witnesses (Report on SV-COMP 2016). 887-904
	[Dirk Beyer](https://dblp.org/pid/b/DirkBeyer1.html):
	❌ None
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_56) 2LS for Program Analysis - (Competition Contribution). 905-907
	[Peter Schrammel](https://dblp.org/pid/23/8898.html), [Daniel Kroening](https://dblp.org/pid/k/DanielKroening.html):
	✅ Presents [[2LS]]
	✅ Expands [[CPROVER]]
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_57) CIVL: Applying a General Concurrency Verification Framework to C/Pthreads Programs (Competition Contribution). 908-911
	[Manchun Zheng](https://dblp.org/pid/92/10310.html), [John G. Edenhofner](https://dblp.org/pid/169/1816.html), [Ziqing Luo](https://dblp.org/pid/169/1781.html), [Mitchell J. Gerrard](https://dblp.org/pid/178/3831.html), [Michael S. Rogers](https://dblp.org/pid/169/1794.html), [Matthew B. Dwyer](https://dblp.org/pid/d/MatthewBDwyer.html), [Stephen F. Siegel](https://dblp.org/pid/50/540.html):
	✅ Presents [[CIVL]]
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_58) CPA-BAM: Block-Abstraction Memoization with Value Analysis and Predicate Analysis - (Competition Contribution). 912-915
	[Karlheinz Friedberger](https://dblp.org/pid/130/3897.html):
	✅ Extends [[CPAchecker]]
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_59) CPA-RefSel: CPAchecker with Refinement Selection - (Competition Contribution). 916-919
	[Stefan Löwe](https://dblp.org/pid/72/11109.html):
	✅ Extends [[CPAchecker]]
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_60) DIVINE: Explicit-State LTL Model Checker - (Competition Contribution). 920-922
	[Vladimír Still](https://dblp.org/pid/132/1780.html), [Petr Rockai](https://dblp.org/pid/35/5000.html), [Jiri Barnat](https://dblp.org/pid/b/JiriBarnat.html):
	✅ Presents [[DIVINE]]
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_61) Run Forester, Run Backwards! - (Competition Contribution). 923-926
	[Lukás Holík](https://dblp.org/pid/64/6177.html), [Martin Hruska](https://dblp.org/pid/15/7989.html), [Ondrej Lengál](https://dblp.org/pid/47/7646.html), [Adam Rogalewicz](https://dblp.org/pid/87/2946.html), [Jirí Simácek](https://dblp.org/pid/10/9861.html), [Tomás Vojnar](https://dblp.org/pid/51/533.html):
	✅ Presents [Forester](../Tools/Forester.md)
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_62) LCTD: Tests-Guided Proofs for C Programs on LLVM - (Competition Contribution). 927-929
	[Olli Saarikivi](https://dblp.org/pid/117/9611.html), [Keijo Heljanko](https://dblp.org/pid/h/KeijoHeljanko.html):
	✅ Presents [LCTD](../Tools/LCTD.md)
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_63) LPI: Software Verification with Local Policy Iteration - (Competition Contribution). 930-933
	[Egor George Karpenkov](https://dblp.org/pid/168/8680.html):
	✅ Extends [[CPAchecker]]
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_64) Hunting Memory Bugs in C Programs with Map2Check - (Competition Contribution). 934-937
	[Herbert O. Rocha](https://dblp.org/pid/116/5376.html), [Raimundo S. Barreto](https://dblp.org/pid/04/562.html), [Lucas C. Cordeiro](https://dblp.org/pid/42/4311.html):
	✅ Presents [[Map2Check]]
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_65) MU-CSeq 0.4: Individual Memory Location Unwindings - (Competition Contribution). 938-941
	[Ermenegildo Tomasco](https://dblp.org/pid/143/2711.html), [Truc L. Nguyen](https://dblp.org/pid/147/4379.html), [Omar Inverso](https://dblp.org/pid/125/8727.html), [Bernd Fischer](https://dblp.org/pid/27/3809-2.html), [Salvatore La Torre](https://dblp.org/pid/33/5041.html), [Gennaro Parlato](https://dblp.org/pid/11/1029.html):
	✅ Presents [MU-CSeq](../Tools/MU-CSeq.md)
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_66) Optimized PredatorHP and the SV-COMP Heap and Memory Safety Benchmark - (Competition Contribution). 942-945
	[Michal Kotoun](https://dblp.org/pid/178/3865.html), [Petr Peringer](https://dblp.org/pid/12/9861.html), [Veronika Soková](https://dblp.org/pid/178/3927.html), [Tomás Vojnar](https://dblp.org/pid/51/533.html):
	✅ Presents [[PredatorHP]]
	✅ Expands [[Predator]]
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_67) Symbiotic 3: New Slicer and Error-Witness Generation - (Competition Contribution). 946-949
	[Marek Chalupa](https://dblp.org/pid/178/3862.html), [Martin Jonás](https://dblp.org/pid/178/4046.html), [Jiri Slaby](https://dblp.org/pid/11/9867.html), [Jan Strejcek](https://dblp.org/pid/37/1716.html), [Martina Vitovská](https://dblp.org/pid/178/3812.html):
	✅ Extends [[Symbiotic]]
	✅ Extends [[Klee]]
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_68) Ultimate Automizer with Two-track Proofs - (Competition Contribution). 950-953
	[Matthias Heizmann](https://dblp.org/pid/52/7224.html), [Daniel Dietsch](https://dblp.org/pid/59/9798.html), [Marius Greitschus](https://dblp.org/pid/153/2563.html), [Jan Leike](https://dblp.org/pid/133/7839.html), [Betim Musa](https://dblp.org/pid/143/2689.html), [Claus Schätzle](https://dblp.org/pid/178/4054.html), [Andreas Podelski](https://dblp.org/pid/p/APodelski.html):
	✅ [[Ultimate Automizer]]
-	[🔓](https://doi.org/10.1007/978-3-662-49674-9_69) Vienna Verification Tool: IC3 for Parallel Software - (Competition Contribution). 954-957
	[Henning Günther](https://dblp.org/pid/67/6092.html), [Alfons Laarman](https://dblp.org/pid/05/7913.html), [Georg Weissenbacher](https://dblp.org/pid/15/3636.html):
	✅ Presents [VVT](../Tools/VVT.md)
