## Tools and Algorithms for the Construction and Analysis of Systems: 23rd TACAS@ETAPS, 2017
---
### Tools
-	[🔓](https://doi.org/10.1007/978-3-662-54577-5_21) HQSpre - An Effective Preprocessor for QBF and DQBF
	[Ralf Wimmer](https://dblp.org/pid/80/5500.html), [Sven Reimer](https://dblp.org/pid/03/10054.html), [Paolo Marin](https://dblp.org/pid/53/7137.html), [Bernd Becker](https://dblp.org/pid/b/BerndBecker.html):
	✅ Presents [HQSpre](../Tools/HQSpre.md)
-	[🔓](https://doi.org/10.1007/978-3-662-54577-5_22) RPP: Automatic Proof of Relational Properties by Self-composition
	[Lionel Blatter](https://dblp.org/pid/182/2042.html), [Nikolai Kosmatov](https://dblp.org/pid/98/3847.html), [Pascale Le Gall](https://dblp.org/pid/31/1845.html), [Virgile Prevosto](https://dblp.org/pid/05/1744.html):
	✅ Extends [[Frama-C]]
-	[🔓](https://doi.org/10.1007/978-3-662-54577-5_23) autoCode4: Structural Controller Synthesis
	[Chih-Hong Cheng](https://dblp.org/pid/64/3701.html), [Edward A. Lee](https://dblp.org/pid/83/846.html), [Harald Ruess](https://dblp.org/pid/28/800.html):
	✅ Presents [[autoCode4]]
### SV COMP
-	[🔓](https://doi.org/10.1007/978-3-662-54580-5_20) Software Verification with Validation of Results - (Report on SV-COMP 2017)
	[Dirk Beyer](https://dblp.org/pid/b/DirkBeyer1.html):
	❌ None
-	[🔓](https://doi.org/10.1007/978-3-662-54580-5_21) AProVE: Proving and Disproving Termination of Memory-Manipulating C Programs - (Competition Contribution)
	[Jera Hensel](https://dblp.org/pid/147/5964.html), [Frank Emrich](https://dblp.org/pid/197/9599.html), [Florian Frohn](https://dblp.org/pid/147/6083.html), [Thomas Ströder](https://dblp.org/pid/53/7442.html), [Jürgen Giesl](https://dblp.org/pid/g/JurgenGiesl.html):
	✅ Presents [[AProVE]]
-	[🔓](https://doi.org/10.1007/978-3-662-54580-5_22) CPA-BAM-BnB: Block-Abstraction Memoization and Region-Based Memory Models for Predicate Abstractions - (Competition Contribution)
	[Pavel S. Andrianov](https://dblp.org/pid/197/9537.html), [Karlheinz Friedberger](https://dblp.org/pid/130/3897.html), [Mikhail U. Mandrykin](https://dblp.org/pid/44/11109.html), [Vadim S. Mutilin](https://dblp.org/pid/76/7124.html), [Anton Volkov](https://dblp.org/pid/197/9572.html):
	✅ Extends [[CPAchecker]]
-	[🔓](https://doi.org/10.1007/978-3-662-54580-5_23) DepthK: A k-Induction Verifier Based on Invariant Inference for C Programs - (Competition Contribution)
	[Williame Rocha](https://dblp.org/pid/197/9563.html), [Herbert Rocha](https://dblp.org/pid/116/5376.html), [Hussama Ismail](https://dblp.org/pid/171/6252.html), [Lucas C. Cordeiro](https://dblp.org/pid/42/4311.html), [Bernd Fischer](https://dblp.org/pid/27/3809-2.html):
	✅ Presents [[DepthK]]
-	[🔓](https://doi.org/10.1007/978-3-662-54580-5_24) Forester: From Heap Shapes to Automata Predicates - (Competition Contribution)
	[Lukás Holík](https://dblp.org/pid/64/6177.html), [Martin Hruska](https://dblp.org/pid/15/7989.html), [Ondrej Lengál](https://dblp.org/pid/47/7646.html), [Adam Rogalewicz](https://dblp.org/pid/87/2946.html), [Jirí Simácek](https://dblp.org/pid/10/9861.html), [Tomás Vojnar](https://dblp.org/pid/51/533.html):
	✅ Extends [Forester](../Tools/Forester.md)
-	[🔓](https://doi.org/10.1007/978-3-662-54580-5_25) HipTNT+: A Termination and Non-termination Analyzer by Second-Order Abduction - (Competition Contribution)
	[Ton Chanh Le](https://dblp.org/pid/135/6224.html), [Quang-Trung Ta](https://dblp.org/pid/134/3046.html), [Wei-Ngan Chin](https://dblp.org/pid/c/WeiNganChin.html):
	✅ Presents [HipTNT+](../Tools/HipTNT+.md)
-	[🔓](https://doi.org/10.1007/978-3-662-54580-5_26) Lazy-CSeq 2.0: Combining Lazy Sequentialization with Abstract Interpretation - (Competition Contribution)
	[Truc L. Nguyen](https://dblp.org/pid/147/4379.html), [Omar Inverso](https://dblp.org/pid/125/8727.html), [Bernd Fischer](https://dblp.org/pid/27/3809-2.html), [Salvatore La Torre](https://dblp.org/pid/33/5041.html), [Gennaro Parlato](https://dblp.org/pid/11/1029.html):
	✅ Expands [[Frama-C]]
-	[🔓](https://doi.org/10.1007/978-3-662-54580-5_27) Skink: Static Analysis of Programs in LLVM Intermediate Representation - (Competition Contribution)
	[Franck Cassez](https://dblp.org/pid/99/622.html), [Anthony M. Sloane](https://dblp.org/pid/s/AnthonyMSloane.html), [Matthew Roberts](https://dblp.org/pid/55/11342.html), [Matthew Pigram](https://dblp.org/pid/197/9600.html), [Pongsak Suvanpong](https://dblp.org/pid/197/9534.html), [Pablo González de Aledo Marugán](https://dblp.org/pid/119/4480.html):
	✅ Presents [[Skink]]
-	[🔓](https://doi.org/10.1007/978-3-662-54580-5_28) Symbiotic 4: Beyond Reachability - (Competition Contribution)
	[Marek Chalupa](https://dblp.org/pid/178/3862.html), [Martina Vitovská](https://dblp.org/pid/178/3812.html), [Martin Jonás](https://dblp.org/pid/178/4046.html), [Jiri Slaby](https://dblp.org/pid/11/9867.html), [Jan Strejcek](https://dblp.org/pid/37/1716.html):
	✅ Extends [[Symbiotic]]
-	[🔓](https://doi.org/10.1007/978-3-662-54580-5_29) Optimizing and Caching SMT Queries in SymDIVINE - (Competition Contribution)
	[Jan Mrázek](https://dblp.org/pid/72/2840.html), [Martin Jonás](https://dblp.org/pid/178/4046.html), [Vladimír Still](https://dblp.org/pid/132/1780.html), [Henrich Lauko](https://dblp.org/pid/178/2897.html), [Jiri Barnat](https://dblp.org/pid/b/JiriBarnat.html):
	✅ Extends [[SymDIVINE]]
-	[🔓](https://doi.org/10.1007/978-3-662-54580-5_30) Ultimate Automizer with an On-Demand Construction of Floyd-Hoare Automata - (Competition Contribution)
	[Matthias Heizmann](https://dblp.org/pid/52/7224.html), [Yu-Wen Chen](https://dblp.org/pid/46/3473.html), [Daniel Dietsch](https://dblp.org/pid/59/9798.html), [Marius Greitschus](https://dblp.org/pid/153/2563.html), [Alexander Nutz](https://dblp.org/pid/117/2587.html), [Betim Musa](https://dblp.org/pid/143/2689.html), [Claus Schätzle](https://dblp.org/pid/178/4054.html), [Christian Schilling](https://dblp.org/pid/72/2103-1.html), [Frank Schüssele](https://dblp.org/pid/197/9556.html), [Andreas Podelski](https://dblp.org/pid/p/APodelski.html):
	✅ Presents [[Ultimate Automizer]]
-	[🔓](https://doi.org/10.1007/978-3-662-54580-5_31) Ultimate Taipan: Trace Abstraction and Abstract Interpretation - (Competition Contribution)
	[Marius Greitschus](https://dblp.org/pid/153/2563.html), [Daniel Dietsch](https://dblp.org/pid/59/9798.html), [Matthias Heizmann](https://dblp.org/pid/52/7224.html), [Alexander Nutz](https://dblp.org/pid/117/2587.html), [Claus Schätzle](https://dblp.org/pid/178/4054.html), [Christian Schilling](https://dblp.org/pid/72/2103-1.html), [Frank Schüssele](https://dblp.org/pid/197/9556.html), [Andreas Podelski](https://dblp.org/pid/p/APodelski.html):
	✅ Presents [[Ultimate Taipan]]
-	[🔓](https://doi.org/10.1007/978-3-662-54580-5_32) VeriAbs: Verification by Abstraction (Competition Contribution)
	[Bharti Chimdyalwar](https://dblp.org/pid/20/9257.html), [Priyanka Darke](https://dblp.org/pid/62/8326.html), [Avriti Chauhan](https://dblp.org/pid/162/9561.html), [Punit Shah](https://dblp.org/pid/176/3048.html), [Shrawan Kumar](https://dblp.org/pid/31/4964.html), [R. Venkatesh](https://dblp.org/pid/77/2661-1.html):
	✅ Presents [[VeriAbs]]
