## Tools and Algorithms for the Construction and Analysis of Systems: 26th TACAS@ETAPS, 2020
---
### Tools and Case Studies
-	[🔓](https://doi.org/10.1007/978-3-030-45237-7_13) Verifying OpenJDK's LinkedList using KeY
	[Hans-Dieter A. Hiep](https://dblp.org/pid/253/3994.html), [Olaf Maathuis](https://dblp.org/pid/254/0876.html), [Jinting Bian](https://dblp.org/pid/254/0868.html), [Frank S. de Boer](https://dblp.org/pid/b/DSsBoer.html), [Marko C. J. D. van Eekelen](https://dblp.org/pid/83/2290.html), [Stijn de Gouw](https://dblp.org/pid/34/11095.html):
	✅ Uses [[KeY]]
-	[🔓](https://doi.org/10.1007/978-3-030-45237-7_14) Analysing installation scenarios of Debian packages
	[Benedikt F. H. Becker](https://dblp.org/pid/179/5568.html), [Nicolas Jeannerod](https://dblp.org/pid/210/8495.html), [Claude Marché](https://dblp.org/pid/85/1251.html), [Yann Régis-Gianas](https://dblp.org/pid/44/4388.html), [Mihaela Sighireanu](https://dblp.org/pid/27/1531.html), [Ralf Treinen](https://dblp.org/pid/t/RalfTreinen.html):
	✅ Presents [[CoLiS]]
	✅ Expands [[Why3]]
-	[🔓](https://doi.org/10.1007/978-3-030-45237-7_15) Endicheck: Dynamic Analysis for Detecting Endianness Bugs
	[Roman Kápl](https://dblp.org/pid/263/1554.html), [Pavel Parízek](https://dblp.org/pid/60/3424.html):
	✅ Presents [Endicheck](../Tools/Endicheck.md)
-	[🔓](https://doi.org/10.1007/978-3-030-45237-7_16) Describing and Simulating Concurrent Quantum Systems
	[Richard Bornat](https://dblp.org/pid/49/5280.html), [Jaap Boender](https://dblp.org/pid/43/6316.html), [Florian Kammueller](https://dblp.org/pid/47/6815.html), [Guillaume Poly](https://dblp.org/pid/263/1326.html), [Rajagopal Nagarajan](https://dblp.org/pid/08/3521.html):
	✅ Presents [[qtpi]]
-	[🔓](https://doi.org/10.1007/978-3-030-45237-7_17) EMTST: Engineering the Meta-theory of Session Types
	[David Castro-Perez](https://dblp.org/pid/259/3482.html), [Francisco Ferreira](https://dblp.org/pid/99/5922-1.html), [Nobuko Yoshida](https://dblp.org/pid/29/3650.html):
	✅ Presents [EMTST](../Tools/Libraries/EMTST.md)
	✅ Expands [Coq](../Tools/Provers/Coq.md)
### SV-COMP 2020
-	[🔓](https://doi.org/10.1007/978-3-030-45237-7_21) Advances in Automatic Software Verification: SV-COMP 2020
	[Dirk Beyer](https://dblp.org/pid/b/DirkBeyer1.html):
	❌ None
-	[🔓](https://doi.org/10.1007/978-3-030-45237-7_22) 2LS: Heap Analysis and Memory Safety - (Competition Contribution)
	[Viktor Malík](https://dblp.org/pid/217/4849.html), [Peter Schrammel](https://dblp.org/pid/23/8898.html), [Tomás Vojnar](https://dblp.org/pid/51/533.html):
	✅ Extends [[2LS]]
-	[🔓](https://doi.org/10.1007/978-3-030-45237-7_23) COASTAL: Combining Concolic and Fuzzing for Java (Competition Contribution)
	[Willem Visser](https://dblp.org/pid/54/5019.html), [Jaco Geldenhuys](https://dblp.org/pid/g/JacoGeldenhuys.html):
	✅ Presents [[COASTAL]]
-	[🔓](https://doi.org/10.1007/978-3-030-45237-7_24) Dartagnan: Bounded Model Checking for Weak Memory Models (Competition Contribution)
	[Hernán Ponce de León](https://dblp.org/pid/57/11444.html), [Florian Furbach](https://dblp.org/pid/157/6706.html), [Keijo Heljanko](https://dblp.org/pid/h/KeijoHeljanko.html), [Roland Meyer](https://dblp.org/pid/86/3051.html):
	✅ Expands [[Dartagnan]]
-	[🔓](https://doi.org/10.1007/978-3-030-45237-7_25) VeriAbs : Verification by Abstraction and Test Generation (Competition Contribution)
	[Mohammad Afzal](https://dblp.org/pid/256/6193.html), [Supratik Chakraborty](https://dblp.org/pid/34/4525.html), [Avriti Chauhan](https://dblp.org/pid/162/9561.html), [Bharti Chimdyalwar](https://dblp.org/pid/20/9257.html), [Priyanka Darke](https://dblp.org/pid/62/8326.html), [Ashutosh Gupta](https://dblp.org/pid/65/3925.html), [Shrawan Kumar](https://dblp.org/pid/31/4964.html), [Charles Babu M](https://dblp.org/pid/263/1733.html), [Divyesh Unadkat](https://dblp.org/pid/133/4630.html), [R. Venkatesh](https://dblp.org/pid/77/2661-1.html):
	✅ Extends [[VeriAbs]]
-	[🔓](https://doi.org/10.1007/978-3-030-45237-7_26) GACAL: Conjecture-Based Verification - (Competition Contribution)
	[Benjamin Quiring](https://dblp.org/pid/254/1039.html), [Panagiotis Manolios](https://dblp.org/pid/40/4888.html):
	✅ Presents [GACAL](../Tools/GACAL.md)
	✅ Expands [ACL2s](../Tools/Provers/ACL2s.md)
-	[🔓](https://doi.org/10.1007/978-3-030-45237-7_27) Java Ranger at SV-COMP 2020 (Competition Contribution)
	[Vaibhav Sharma](https://dblp.org/pid/01/3680.html), [Soha Hussein](https://dblp.org/pid/136/2621.html), [Michael W. Whalen](https://dblp.org/pid/70/5189.html), [Stephen McCamant](https://dblp.org/pid/29/4899.html), [Willem Visser](https://dblp.org/pid/54/5019.html):
	✅ Presents [[Java Ranger]]
	✅ Expands [[SPF]]
-	[🔓](https://doi.org/10.1007/978-3-030-45237-7_28) JDart: Dynamic Symbolic Execution for Java Bytecode (Competition Contribution)
	[Malte Mues](https://dblp.org/pid/193/3337.html), [Falk Howar](https://dblp.org/pid/12/8669.html):
	✅ Presents [JDart](../Tools/JDart.md)
	✅ Expands [JPF](JPF.md)
	✅ Expands [[JConstraints]]
-	[🔓](https://doi.org/10.1007/978-3-030-45237-7_29) Map2Check: Using Symbolic Execution and Fuzzing - (Competition Contribution)
	[Herbert Rocha](https://dblp.org/pid/116/5376.html), [Rafael Menezes](https://dblp.org/pid/217/4869.html), [Lucas C. Cordeiro](https://dblp.org/pid/42/4311.html), [Raimundo S. Barreto](https://dblp.org/pid/04/562.html):
	✅ Extends [[Map2Check]]
	✅ Expands [[KLEE]]
-	[🔓](https://doi.org/10.1007/978-3-030-45237-7_30) PredatorHP Revamped (Not Only) for Interval-Sized Memory Regions and Memory Reallocation (Competition Contribution)
	[Petr Peringer](https://dblp.org/pid/12/9861.html), [Veronika Soková](https://dblp.org/pid/178/3927.html), [Tomás Vojnar](https://dblp.org/pid/51/533.html):
	✅ Extends [[PredatorHP]]
-	[🔓](https://doi.org/10.1007/978-3-030-45237-7_31) Symbiotic 7: Integration of Predator and More - (Competition Contribution)
	[Marek Chalupa](https://dblp.org/pid/178/3862.html), [Tomás Jasek](https://dblp.org/pid/263/1666.html), [Lukás Tomovic](https://dblp.org/pid/263/1099.html), [Martin Hruska](https://dblp.org/pid/15/7989.html), [Veronika Soková](https://dblp.org/pid/178/3927.html), [Paulína Ayaziová](https://dblp.org/pid/263/1478.html), [Jan Strejcek](https://dblp.org/pid/37/1716.html), [Tomás Vojnar](https://dblp.org/pid/51/533.html):
	✅ Extends [Symbiotic](../Tools/Symbiotic.md)
-	[🔓](https://doi.org/10.1007/978-3-030-45237-7_32) Ultimate Taipan with Symbolic Interpretation and Fluid Abstractions - (Competition Contribution)
	[Daniel Dietsch](https://dblp.org/pid/59/9798.html), [Matthias Heizmann](https://dblp.org/pid/52/7224.html), [Alexander Nutz](https://dblp.org/pid/117/2587.html), [Claus Schätzle](https://dblp.org/pid/178/4054.html), [Frank Schüssele](https://dblp.org/pid/197/9556.html):
	✅ Extends [[Ultimate Taipan]]
