## Tools and Algorithms for the Construction and Analysis of Systems: 27th TACAS@ETAPS, 2021
---
### Tool Papers
-	[🔓](https://doi.org/10.1007/978-3-030-72013-1_11) An SMT-Based Approach for Verifying Binarized Neural Networks.
	[Guy Amir](https://dblp.org/pid/277/9596.html), [Haoze Wu](https://dblp.org/pid/195/8725-1.html), [Clark W. Barrett](https://dblp.org/pid/b/ClarkWBarrett.html), [Guy Katz](https://dblp.org/pid/23/10321.html)
	✅ Extends [[Marabou]]
-	[🔓](https://doi.org/10.1007/978-3-030-72013-1_12) cake\_lpr: Verified Propagation Redundancy Checking in CakeML.
	[Yong Kiam Tan](https://dblp.org/pid/156/7492.html), [Marijn J. H. Heule](https://dblp.org/pid/h/MarijnHeule.html), [Magnus O. Myreen](https://dblp.org/pid/92/2955.html)
	✅ Uses [[cake_lpr]]
	✅ Compares to [ACL2](../Tools/ACL2.md), [Coq](../Tools/Provers/Coq.md), [[GRATchks]]
-	[🔓](https://doi.org/10.1007/978-3-030-72013-1_13) Deductive Verification of Floating-Point Java Programs in KeY
	[Rosa Abbasi](https://dblp.org/pid/284/0754.html), [Jonas Schiffl](https://dblp.org/pid/210/8488.html), [Eva Darulova](https://dblp.org/pid/75/10322.html), [Mattias Ulbrich](https://dblp.org/pid/73/9580.html), [Wolfgang Ahrendt](https://dblp.org/pid/91/1275.html)
	✅ Uses [[KeY]]
	✅ Compares to [[Z3]], [[CVC4]], [[MathSAT]]
-	[🔓](https://doi.org/10.1007/978-3-030-72013-1_14) Helmholtz: A Verifier for Tezos Smart Contracts Based on Refinement Types
	[Yuki Nishida](https://dblp.org/pid/36/10522-1.html), [Hiromasa Saito](https://dblp.org/pid/288/1291.html), [Ran Chen](https://dblp.org/pid/95/6235.html), [Akira Kawata](https://dblp.org/pid/246/5108.html), [Jun Furuse](https://dblp.org/pid/95/2452.html), [Kohei Suenaga](https://dblp.org/pid/82/6723.html), [Atsushi Igarashi](https://dblp.org/pid/34/589.html)
	✅ Presents [Helmholtz](../Tools/Helmholtz.md)
-	[🔓](https://doi.org/10.1007/978-3-030-72013-1_15) SyReNN: A Tool for Analyzing Deep Neural Networks
	[Matthew Sotoudeh](https://dblp.org/pid/215/4310.html), [Aditya V. Thakur](https://dblp.org/pid/68/1945.html)
	✅ Presents [[SyReNN]]
-	[🔓](https://doi.org/10.1007/978-3-030-72013-1_16) MachSMT: A Machine Learning-based Algorithm Selector for SMT Solvers
	[Joseph Scott](https://dblp.org/pid/13/10056.html), [Aina Niemetz](https://dblp.org/pid/115/4373.html), [Mathias Preiner](https://dblp.org/pid/115/4371.html), [Saeed Nejati](https://dblp.org/pid/185/0665.html), [Vijay Ganesh](https://dblp.org/pid/g/VijayGanesh.html)
	✅ Presents [[MachSMT]]
	✅ Compares to [[SATzilla]]
-	[🔓](https://doi.org/10.1007/978-3-030-72013-1_17) dtControl 2.0: Explainable Strategy Representation via Decision Tree Learning Steered by Experts.
	[Pranav Ashok](https://dblp.org/pid/200/8227.html), [Mathias Jackermeier](https://dblp.org/pid/258/4958.html), [Jan Kretínský](https://dblp.org/pid/95/6511.html), [Christoph Weinhuber](https://dblp.org/pid/283/5774.html), [Maximilian Weininger](https://dblp.org/pid/194/2910.html), [Mayank Yadav](https://dblp.org/pid/190/8997.html)
	✅ Presents [dtControl](../Tools/dtControl.md)
