# First-order logic
_Also known as predicate logic, quantificational logic, first-order predicate calculus_

First-order logic is a logic with quantified variables and predicates (functions that return true/false).

The following symbols are typically used to express things in first-order logic:
-   $\forall$ ("for all")
-   $\exists$ ("there exists")
-   $\wedge$ (and, conjunction)
-   $\vee$ (or, disjunction)
-   $\implies$ (implication)
-   $\Longleftrightarrow$ (biconditional, double implication)
-   $\neg$ (negation, not)
-   Parentheses/brackets are allowed
-   Variable names, e.g. $p$, $q$, $r$
-   Function names (for the predicates), e.g. $isEven()$

**Predicate**: A function that takes as input an entity (or entities) in the domain of discourse/universe, and outputs either True or False.
**Domain of discourse/universe**: the set of entities over which the quantified variables range. 
**Interpretation/model**: Specification of what each predicate means, and the domain of discourse.