Tool for checking k-multiparty compatibility in communicating session automata

#### Name:
KMC

#### Application domain/field:
Communicating automata
Session types

#### Type of tool (e.g. model checker, test generator):
Property checker

#### Expected input thing:
- System of communicating automata
- bound `MAX`

#### Expected input format:
- System of communicating automata: text file, with either syntactical session types or CFSMs (same input language as [[GMC]]) 
- Bound: passed as an argument when calling KMC

#### Expected output:
? (seems to be `yes` or `no` to indicate whether the system of automata is k-multiparty compatible)

#### Internals (tools used, frameworks, techniques, paradigms, ...):
k-multiparty compatibility is decomposed into two bounded properties:
1. k-safety: within the bound, all sent messages can be received and each automaton can make a move
2. k-exhaustivity: all k-reachable send actions can be fired within the bound

#### Comments:
-

#### URIs (github, websites, etc.):
Repository: https://bitbucket.org/julien-lange/kmc-cav19/src/master/

#### Last commit date:
18 February 2021

#### Last publication date:
12 July 2019

#### List of related papers:
https://doi.org/10.1007/978-3-030-25540-4_6

#### Related tools (tools mentioned or compared to in the paper):
-

#### Meta
:: Automaton
:: PV1           :: checks compatibility of communicating automata