Tool set for modeling, validation and verification of real-time systems that are modelled as networks of timed automata, extended with data types.

#### Name:
UPPAAL

#### Application domain/field:
Real-time systems
Timed automata
Model checking
Simulation
Statistical model checking

#### Type of tool (e.g. model checker, test generator):
Framework for modeling, validating and verifying real-time systems

#### Internals (tools used, frameworks, techniques, paradigms, ...):
Some features of UPPAAL include:
- Graphical system editor
- Graphical simulator 
- Requirement specification editor
- Model-checker for safety and liveness properties
- Generation of diagnostic traces in case verification fails

#### URIs (github, websites, etc.):
Project page: https://uppaal.org/

#### Last commit date:
2 December 2021

#### Last publication date:
2021

#### List of related papers:
https://doi.org/10.1007/978-3-030-85248-1_9 (FMCIS '21)
https://doi.org/10.1007/978-3-030-85037-1_6 (FORMATS '21)
https://doi.org/10.1002/spe.1006 (Software: Practice and Experience, Vol. 41, '11)
https://doi.org/10.1109/QEST.2006.59 (QEST '06)
https://doi.org/10.1007/978-3-540-30080-9_7 (Formal Methods for the Design of Real-Time Systems '04)
https://doi.org/10.1007/BFb0020949 (International Hybrid Systems Workshop '95)

#### Meta
:: Framework
:: Simulation
:: Model checking
:: PV5 :: an IDE for modelling, validating and verifying networks of timed automata