Verifier for temporal properties, (non)termination and safety of programs

#### Name:
T2

#### Application domain/field:
Temporal properties
Computation tree logic (CTL)
Linear temporal logic (LTL)
Termination
Safety verification

#### Type of tool (e.g. model checker, test generator):

#### Expected input thing:
- Program
- Indicate whether to check/verify a *temporal property*, *termination* or *safety*.

#### Expected input format:
- *Program*: T2's own syntax, `.t2` file. This syntax can automatically be extracted from LLVM thereby providing support for several programming languages, e.g. C and C++.
- *Temporal property*: If checking a temporal property, then the property is passed as a string argument when calling T2
- *Termination/safety checking:* If checking for (non-)termination or safety, then the user should pass either `-termination` or `-safety <int>` where `<int>` indicates the location.

#### Expected output:
Whether the proof (either safety, termination or temporal) succeeded.

#### Internals (tools used, frameworks, techniques, paradigms, ...):
Users can use T2 to (dis)prove LTL, CTL, Fair-CTL and CTL* specifications.

Uses [Z3](Solvers/SMT/Z3.md).

#### Comments:
-

#### URIs (github, websites, etc.):
Repository: https://github.com/mmjb/T2

#### Last commit date:
12 February 2018

#### Last publication date:
11 July 2017

#### List of related papers:
https://doi.org/10.1007/978-3-319-63046-5_28 (CADE '17)
https://doi.org/10.1007/978-3-662-49674-9_22 (TACAS '16)

#### Related tools (tools mentioned or compared to in the paper):
[[KITTeL]]: can prove termination and temporal properties
[[ARMC]] and [CProver](Frameworks/CProver.md): tools that support safety-proving
[[FuncTion]], [[Ultimate Büchi Automizer]], [AProVE](AProVE.md): termination provers
[[Q'ARMC]]: tool that can automatically prove CTL properties of infinite-state programs

#### Meta
:: Termination
:: LTL
:: CTL
:: PV3 :: can check termination or user-specified properties of LLVM code